package net.northking.cctp.upperComputer.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author: WuJinQuan
 * @date:2021-08-27 14:32
 **/
@Component
@ConfigurationProperties(prefix = "nk.mobile-computer")
public class MobileProperty {
    /**
     * id路径
     */
    private String idPath;
    /**
     * stf的path
     */

    private String stfPath;
    /**
     *
     */
    private String ctrlIp;
    /**
     * 最大上限
     */
    private String ctrlUpLimit;

    /**
     * 开启 provider进程
     */
    private String startProvider;
    /**
     * 开启 provider进程
     */
    private String startIosProvider;
    /**
     * 注册地址
     */
    private String ctrlRegisterAddr;
    /**
     * 开启 ios性能获取
     */
    private String startIosPerf;

    /**
     * 手机推送地址
     */
    private String mobilePushAddr;

    /**
     * 手机掉线地址
     */
    private String mobileOfflineAddr;

    private String serverAddr;

    private String mobileInfoAddr;

    private String appDownloadAddr;

    private String fileUploadAddr;

    private String publicUploadAddr;

    private String publicDownloadFile;

    public String getPublicDownloadFile() {
        return publicDownloadFile;
    }

    public void setPublicDownloadFile(String publicDownloadFile) {
        this.publicDownloadFile = publicDownloadFile;
    }

    public String getStfPath() {
        return stfPath;
    }

    public void setStfPath(String stfPath) {
        this.stfPath = stfPath;
    }

    public String getFileUploadAddr() {
        return fileUploadAddr;
    }

    public void setFileUploadAddr(String fileUploadAddr) {
        this.fileUploadAddr = fileUploadAddr;
    }

    public String getAppDownloadAddr() {
        return appDownloadAddr;
    }

    public void setAppDownloadAddr(String appDownloadAddr) {
        this.appDownloadAddr = appDownloadAddr;
    }

    public String getMobileInfoAddr() {
        return mobileInfoAddr;
    }

    public void setMobileInfoAddr(String mobileInfoAddr) {
        this.mobileInfoAddr = mobileInfoAddr;
    }

    public String getServerAddr() {
        return serverAddr;
    }

    public void setServerAddr(String serverAddr) {
        this.serverAddr = serverAddr;
    }

    public String getMobileOfflineAddr() {
        return mobileOfflineAddr;
    }

    public void setMobileOfflineAddr(String mobileOfflineAddr) {
        this.mobileOfflineAddr = mobileOfflineAddr;
    }

    public String getCtrlRegisterAddr() {
        return ctrlRegisterAddr;
    }

    public void setCtrlRegisterAddr(String ctrlRegisterAddr) {
        this.ctrlRegisterAddr = ctrlRegisterAddr;
    }

    public String getMobilePushAddr() {
        return mobilePushAddr;
    }

    public void setMobilePushAddr(String mobilePushAddr) {
        this.mobilePushAddr = mobilePushAddr;
    }

    public String getIdPath() {
        return idPath;
    }

    public void setIdPath(String idPath) {
        this.idPath = idPath;
    }

   /* public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }*/

    public String getCtrlIp() {
        return ctrlIp;
    }

    public void setCtrlIp(String ctrlIp) {
        this.ctrlIp = ctrlIp;
    }

    public String getCtrlUpLimit() {
        return ctrlUpLimit;
    }

    public void setCtrlUpLimit(String ctrlUpLimit) {
        this.ctrlUpLimit = ctrlUpLimit;
    }

    public String getStartProvider() {
        return startProvider;
    }

    public void setStartProvider(String startProvider) {
        this.startProvider = startProvider;
    }

    public String getStartIosProvider() {
        return startIosProvider;
    }

    public void setStartIosProvider(String startIosProvider) {
        this.startIosProvider = startIosProvider;
    }

    public String getStartIosPerf() {
        return startIosPerf;
    }

    public void setStartIosPerf(String startIosPerf) {
        this.startIosPerf = startIosPerf;
    }

    public String getPublicUploadAddr() {
        return publicUploadAddr;
    }

    public void setPublicUploadAddr(String publicUploadAddr) {
        this.publicUploadAddr = publicUploadAddr;
    }
}
